Bug 1474422 - [abrt] ibus: ffi_call_unix64(): ibus-x11 killed by signal 11
Summary: [abrt] ibus: ffi_call_unix64(): ibus-x11 killed by signal 11
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:91072aeb6592c903eb4aae98d29...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-24 14:58 UTC by Wolfgang Denk
Modified: 2018-05-29 12:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:01:20 UTC


Attachments (Terms of Use)
File: backtrace (21.80 KB, text/plain)
2017-07-24 14:58 UTC, Wolfgang Denk
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-24 14:58 UTC, Wolfgang Denk
no flags Details
File: core_backtrace (15.86 KB, text/plain)
2017-07-24 14:58 UTC, Wolfgang Denk
no flags Details
File: cpuinfo (1015 bytes, text/plain)
2017-07-24 14:58 UTC, Wolfgang Denk
no flags Details
File: dso_list (9.75 KB, text/plain)
2017-07-24 14:58 UTC, Wolfgang Denk
no flags Details
File: environ (1.54 KB, text/plain)
2017-07-24 14:58 UTC, Wolfgang Denk
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-24 14:58 UTC, Wolfgang Denk
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-24 14:58 UTC, Wolfgang Denk
no flags Details
File: maps (44.60 KB, text/plain)
2017-07-24 14:58 UTC, Wolfgang Denk
no flags Details
File: open_fds (826 bytes, text/plain)
2017-07-24 14:58 UTC, Wolfgang Denk
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-07-24 14:58 UTC, Wolfgang Denk
no flags Details
File: var_log_messages (313 bytes, text/plain)
2017-07-24 14:58 UTC, Wolfgang Denk
no flags Details

Description Wolfgang Denk 2017-07-24 14:58:31 UTC
Description of problem:
Fresh install of Fedora 26. Then installed the FVWMpackage.  Rebootet and tried to log in using "fvwm" as window manager option.

Zero other activities.

Version-Release number of selected component:
ibus-1.5.16-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-x11 --kill-daemon
crash_function: ffi_call_unix64
executable:     /usr/libexec/ibus-x11
journald_cursor: s=081922fbe12a436c99bf0ca7fce84f90;i=13f6;b=e2981484247f4c3ebebbefed1ee8bb6e;m=11dc8ca3;t=5551155385856;x=d48075e2c4636bb3
kernel:         4.11.8-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Wolfgang Denk 2017-07-24 14:58:38 UTC
Created attachment 1303721 [details]
File: backtrace

Comment 2 Wolfgang Denk 2017-07-24 14:58:39 UTC
Created attachment 1303722 [details]
File: cgroup

Comment 3 Wolfgang Denk 2017-07-24 14:58:41 UTC
Created attachment 1303723 [details]
File: core_backtrace

Comment 4 Wolfgang Denk 2017-07-24 14:58:42 UTC
Created attachment 1303724 [details]
File: cpuinfo

Comment 5 Wolfgang Denk 2017-07-24 14:58:44 UTC
Created attachment 1303725 [details]
File: dso_list

Comment 6 Wolfgang Denk 2017-07-24 14:58:45 UTC
Created attachment 1303726 [details]
File: environ

Comment 7 Wolfgang Denk 2017-07-24 14:58:46 UTC
Created attachment 1303727 [details]
File: exploitable

Comment 8 Wolfgang Denk 2017-07-24 14:58:48 UTC
Created attachment 1303728 [details]
File: limits

Comment 9 Wolfgang Denk 2017-07-24 14:58:50 UTC
Created attachment 1303729 [details]
File: maps

Comment 10 Wolfgang Denk 2017-07-24 14:58:52 UTC
Created attachment 1303730 [details]
File: open_fds

Comment 11 Wolfgang Denk 2017-07-24 14:58:53 UTC
Created attachment 1303731 [details]
File: proc_pid_status

Comment 12 Wolfgang Denk 2017-07-24 14:58:54 UTC
Created attachment 1303732 [details]
File: var_log_messages

Comment 14 Wolfgang Denk 2018-03-28 09:55:37 UTC
8 months and nearly two releases later you set the needinfo flag, but without saying what exactly you want to know?  Just an alibi question, heh?

Comment 15 fujiwara 2018-03-29 08:22:48 UTC
(In reply to Wolfgang Denk from comment #14)
> 8 months and nearly two releases later you set the needinfo flag, but
> without saying what exactly you want to know?  Just an alibi question, heh?

I cannot reproduce your backtrace.
I see several bug reports which I cannot reproduce and normally the bug submitter also cannot do so I have left those bugs recently for other prioritized tasks.
I think this is a low priority bug and will be closed if you still cannot reproduce.

(In reply to Wolfgang Denk from comment #1)
> Created attachment 1303721 [details]
> File: backtrace

#0  0x00007f498f261b55 in __run_exit_handlers (status=0, listp=0x7f498f5f25b8 <__exit_funcs>, run_list_atexit=<optimized out>, run_dtors=<optimized out>) at exit.c:47
47	  while (*listp != NULL)
#1  0x00007f498f261c6a in __run_exit_handlers (status=0, listp=0x55e68e672ce0, run_list_atexit=<optimized out>, run_dtors=<optimized out>) at exit.c:92
#2  0x0000000000000000 in ?? ()

Comment 16 fujiwara 2018-03-29 08:24:12 UTC
(In reply to Bhushan Barve from comment #13)

I don't want to set the private flags in all the ibus bugs.

Comment 17 Fedora End Of Life 2018-05-03 08:36:55 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2018-05-29 12:01:20 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.